---
category: DevelopInDepth
---
# Piwik's Extensibility Points

Plugins can extend Piwik using the following methods:

- using **events** see [Events](/guides/events)
- implementing **special classes** that are recognized by Piwik see [Plugin Basics under Develop](/develop)

## Learn More

* To learn **about every event that Piwik posts** [read the event docs](/api-reference/events).
* To learn **more about the Twig filters and functions Piwik defines** read the documentation for the [View](/api-reference/Piwik/View) class.
* To learn **about API and Controller classes** read our [Controllers](/guides/controllers) or [APIs](/guides/apis) guides.
* To learn **about Archiver classes** read our [Archiving](/guides/archiving) guide.
* To learn **about plugin settings** read our [Plugin Settings](/guides/plugin-settings) guide.
* To learn **about creating new report visualizations** read our [Visualizing Report Data](/guides/visualizing-report-data) guide.
