---
category: Integrate
---
# Tracking API Clients

## About this guide

**Read this guide if**

* you'd like to know **which client libraries are available to use Piwik's Tracking HTTP API from your application**

## Mobile SDKs

### iOS SDK

If you are building iOS apps, you can use the Objective-C PiwikTracker client to send tracking data to your Piwik server.

Learn more and download Piwik iOS SDK on Github at [github.com/piwik/piwik-sdk-ios](https://github.com/piwik/piwik-sdk-ios).

### Android SDK

If you are building Android apps, you can use the Android Java client to send tracking data to your Piwik server.

Learn more and download Piwik Android SDK on Github at [github.com/piwik/piwik-sdk-android](https://github.com/piwik/piwik-sdk-android).

### Appcelerator Titanium Module

If you are building Mobile apps using Appcelerator Titanium, use the Piwik Analytics Module for Titanium to measure how users are navigating and consuming your apps. 

Learn more and download the Piwik Module for Titanium at [github.com/manumaticx/ti.piwik](https://github.com/manumaticx/ti.piwik).

## Client libraries

### PHP client

The default client is the PHP PiwikTracker, learn more at: [github.com/piwik/piwik-php-tracker](https://github.com/piwik/piwik-php-tracker).

### Java client

A Java client for the Piwik Tracking API is available on Github: [github.com/piwik/piwik-java-tracker](https://github.com/piwik/piwik-java-tracker).

### Python client

A complete Python client implementation of the Tracking API is available on Github at [github.com/piwik/piwik-python-api](https://github.com/piwik/piwik-python-api).

### C# client

A C# client implementation of the Tracking API is available on Github at [github.com/piwik/piwik-dotnet-tracker](https://github.com/piwik/piwik-dotnet-tracker#piwik-c-tracking-api).

